Subject: Re: [PATCH v3 net-next 6/8] net: dsa: mv88e6xxx: Limit histogram counters to ingress traffic

From: Tobias Waldekranz <[email-masked]>
Date: Tue, 12 Dec 2023 00:35:08 +0100

On mon, dec 11, 2023 at 15:03, Florian Fainelli <[email-masked]> wrote:
> On 12/11/23 14:33, Tobias Waldekranz wrote:
>> Chips in this family only has one set of histogram counters, which can
>> be used to count ingressing and/or egressing traffic. mv88e6xxx has,
>> up until this point, kept the hardware default of counting both
>> directions.
>
> s/has/have/
>
>> 
>> In the mean time, standard counter group support has been added to
>> ethtool. Via that interface, drivers may report ingress-only and
>> egress-only histograms separately - but not combined.
>> 
>> In order for mv88e6xxx to maximalize amount of diagnostic information
>> that can be exported via standard interfaces, we opt to limit the
>> histogram counters to ingress traffic only. Which will allow us to
>> export them via the standard "rmon" group in an upcoming commit.
>
> s/maximalize/maximize/
>
>> 
>> The reason for choosing ingress-only over egress-only, is to be
>> compatible with RFC2819 (RMON MIB).
>> 
>> Signed-off-by: Tobias Waldekranz <[email-masked]>
>
> Out of curiosity: does this commit and the next one need to be swapped 
> in order to surprises if someone happened to be bisecting across this 
> patch series?

I'm not sure I follow. This commit only changes the behavior of the
existing counters (ethtool -S). If it was swapped with the next one,
then there would be one commit in the history in which the "rmon"
histogram counters would report the wrong values (the bug pointed out by
Vladimir on v2)

> Unless there is something else that needs to be addressed, please 
> address the two typos above, regardless:

s/Unless/If/?

> Reviewed-by: Florian Fainelli <[email-masked]>

Thanks for the review!